# $JssacSty: JssacSty/jssac/Makefile,v 1.1 2019/02/19 09:51:03 saito Exp $
SRC = jssac.dtx jssac.ins jssacformat.dtx jssacformat.ins
FLG =

all: ${SRC}
	make jssac.pdf
	make jssac.sty
	make jssacformat.pdf
	make jssacformat.sty

jssac.pdf: jssac.dtx jssac.sty
	platex ${FLG} jssac.dtx
	makeindex -s gind.ist jssac
	makeindex -s gglo.ist -o jssac.gls jssac.glo
	platex ${FLG} jssac.dtx
	dvipdfmx jssac
jssac.sty: jssac.dtx jssac.ins
	platex ${FLG} jssac.ins
page.sty: jssac.dtx jssac.ins
	platex ${FLG} jssac.ins

jssacformat.pdf: jssac.sty jssacformat.dtx
	platex ${FLG} jssacformat.dtx
	makeindex -s gind.ist jssacformat
	makeindex -s gglo.ist -o jssacformat.gls jssacformat.glo
	platex ${FLG} jssacformat.dtx
	dvipdfmx jssacformat
jssacformat.sty: jssacformat.dtx jssacformat.ins jssac.sty
	platex ${FLG} jssacformat.ins

cleanjssac:
	@rm -f jssac.aux jssac.dvi jssac.glo jssac.log jssac.sty jssac.ind \
	jssac.gls page.sty jssac.idx jssac.ilg jssac.toc jssac.ps jssac.pdf
cleanjssacformat:
	@rm -f jssacformat.dvi jssacformat.aux jssacformat.sty jssacformat.tex \
	jssacformat.dvi jssacformat.aux jssacformat.log jssacformat.glo \
	jssacformat.gls jssacformat.idx jssacformat.ilg jssacformat.toc \
	jssacformat.ind jssacformat.pdf

cleanfont:
	@rm -f jy1jis.fd jy1jisg.fd jt1jis.fd jt1jisg.fd
cleandoc:
	@rm -f Page.tex Next.tex
	@rm -f howto.log howto.dvi howto.aux headline.tex x.log
clean:
	@make cleanjssac
	@make cleanjssacformat
	@make cleanfont
	@make cleandoc
